Subject: [MIB-DOCTORS] FW: Proposal for revised IESG statement about copyright text in MIB and PIB modules

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Fri, 6 Mar 2009 17:44:15 +0100

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Fri 3/6/2009 4:19 PM
To: Romascanu, Dan (Dan); [email-masked]
Subject: RE: Proposal for revised IESG statement about copyright text in MIB and	PIB modules
 
As David Harrington pointed out, the old IESG statement was actually
replaced/obsoleted by BCP 111 (RFCs 4181 and 4841) a long time
ago. And an IESG statement shouldn't really update a BCP.

However, RFC 5378 moved the maintenance of "legend instructions" (such
as this text) to the IETF Trust -- so instead of updating BCP 111, the
right path could be IETF Trust updating its instructions, or
clarifying how the current instructions are to be interpreted.  On the
other hand, IETF Trust can't really update a BCP either.

At some point during the pre-5378 mess, I think John Klensin
complained that one "feature" of the IETF Trust construct is that it's
not clear who's in charge or has authority or responsibility to do or
say something... (and if someone has some authority about something,
it's certainly not IESG -- we can't update BCPs and we can't update
IETF trust statements).

But at any rate, the text for IESG statement is not really accurate,
since this isn't just an agreement between the IESG and the RFC Editor
any more (and has not been since RFC 4181 came out in 2005).

One possible plan forward:

(1) We ask IETF Trust to send an email saying that since the RFC will
anyway say "Copyright (c) YYYY IETF Trust and the persons identified
as the document authors", it's OK to repeat this in form "Copyright
(c) YYYY IETF Trust and the persons identified as authors of RFC XXXX"
later in the document (and this is in line with current policies).

I'm hoping the IETF Trust could confirm this without e.g. updating
their policies (which would require 30-day public review etc.).

(2) We issue a very short IESG statement saying that we consider the
version that adds "...and the persons identified as authors of RFC
XXXX" (the *only* difference to BCP111 text) to meet the requirements
of BCP111, and updating BCP111 is not required.

(Of course, Jorge should OK this at some point.)

Best regards,
Pasi

> -----Original Message-----
> From: Dan Romascanu, Dan (Dan)
> Sent: 05 March, 2009 15:14
> To: [email-masked]
> Subject: Proposal for revised IESG statement about copyright 
> text in MIB and PIB modules
> 
> This is basically copying the existing statement and 
> replacing with the
> appropriate updated copyright notice. 
> 
> Does this work? 
> 
> Dan
> 
> 
>                      Copyright statement in MIB and PIB Modules
>    
>     Many people/tools extract the MIB or PIB modules out of our
>     RFCs that contain a MIB or PIB module. In most cases they
>     remove the copyright information that is part of the RFC.
>     This is against the IETF copyright claim.
> 
>     People/tools do this not with bad intentions. The reason they
>     do not extract the copyright info is because it is not in machine
>     readable/parsable form, and they want the MIB or PIB modules to
>     feed them into their agents, network management platforms, or
>     other MIB or PIB tools.
> 
>     In order to ensure that the copyright statement is properly
>     preserved and included in extracted MIB and PIB modules, and in
>     order to make it easier for people/tools to keep the proper
>     copyright when extracting MIB or PIB modules, the IESG has
>     agreed with the the RFC-Editor that:
> 
>     The RFC-Editor, during the editing process of an RFC that
>     contains a MIB or a PIB Module, copies a short copyright
>     statement into the DESCRIPTION clause of the MODULE-IDENTITY
>     macro of each MIB or PIB Module in the RFC-to-be.
> 
>     The copyright statement to be added for a MIB module is:
>        
>         "Copyright (c) (year) IETF Trust and the persons identified 
>          as authors of RFC XXXX.
> 
>          This version of this MIB module is part of RFC xxxx; 
>          see the RFC itself for full legal notices."
> 
>     The copyright statement to be added for a PIB module is:
>        
>         "Copyright (c) (year) IETF Trust and the persons identified 
>          as authors of RFC XXXX.
> 
>          This version of this PIB module is part of RFC xxxx; 
>          see the RFC itself for full legal notices."
>